package com.liquidnet.service.sequence.mapper;

import com.liquidnet.service.sequence.entity.SysSequence;
import com.liquidnet.service.sequence.entity.SysSequenceExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysSequenceMapper {
    int countByExample(SysSequenceExample example);

    int insert(SysSequence record);

    int insertSelective(SysSequence record);

    List<SysSequence> selectByExample(SysSequenceExample example);

    SysSequence selectByPrimaryKey(String seqName);

    int updateByExampleSelective(@Param("record") SysSequence record, @Param("example") SysSequenceExample example);

    int updateByExample(@Param("record") SysSequence record, @Param("example") SysSequenceExample example);

    int updateByPrimaryKeySelective(SysSequence record);

    int updateByPrimaryKey(SysSequence record);

    Long generateSeqNo(String seqName);
}
